<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Application name
    |--------------------------------------------------------------------------
    |
    | Name of the application this admin panel is being added to.
    | This will be shown on the login page, password reset emails and top right
    | of the admin header.
    |
    */
    'applicationName' => 'drp Admin',

    /*
    |--------------------------------------------------------------------------
    | Use packages admin routes
    |--------------------------------------------------------------------------
    |
    | Decides whether to use the routes that are contained within this package.
    | Set to false if you want to use your own admin routes.
    |
    */
    'useAdminRoutes' => true,

    /*
    |--------------------------------------------------------------------------
    | Base route path
    |--------------------------------------------------------------------------
    |
    | The base path that all the packages admin route will use.
    | E.g. YOURDOMAIN.com/$baseRoutePath/dashboard
    |
    */
    'baseRoutePath' => 'admin',

    /*
    |--------------------------------------------------------------------------
    | Use packages admin user
    |--------------------------------------------------------------------------
    |
    | Decides whether to include the admin user service provider.
    | It will add full user CRUD to the admin panel.
    |
    */
    'includeAdminUserCrud' => true,

    /*
    |--------------------------------------------------------------------------
    | Show the admin styleguide
    |--------------------------------------------------------------------------
    |
    | Decides whether to include the admin styleguide service provider.
    | It will add a styleguide option to the sidebar.
    |
    */
    'includeAdminStyleguide' => true,

    /*
    |--------------------------------------------------------------------------
    | Role(s) needed for accessing user CRUD
    |--------------------------------------------------------------------------
    |
    | Pipe separated list of roles that is able to access the user CRUD.
    |
    */
    'userCrudRoles' => 'Super Administrator|Administrator',

    /*
    |--------------------------------------------------------------------------
    | Logout route
    |--------------------------------------------------------------------------
    |
    | Route name to use for logging user out of admin.
    |
    */
    'logoutRoute' => 'auth.logout',

    /*
    |--------------------------------------------------------------------------
    | Dashboard controller
    |--------------------------------------------------------------------------
    |
    | Controller to use for the dashboard. Please give fully qualified class.
    |
    */
    'dashboardController' => 'drp\AdminPanel\Admin\Http\Controllers\AdminController@dashboard',

    /*
    |--------------------------------------------------------------------------
    | Admin skin
    |--------------------------------------------------------------------------
    |
    | Sets which skins to use for the admin panel.
    | All this is really doing is putting whatever specified below on the body
    | as a class.
    |
    | Skins:
    | skin-black, skin-blue, skin-green, skin-purple, skin-red, skin-yellow
    |
    | All these skins have a light version which can be set by add -light to
    | the skin names above.
    |
    */
    'skin' => 'skin-black',

];
