<?php

namespace Drp\AdminPanel\Admin;

use Illuminate\Support\ServiceProvider;

class AdminServiceProvider extends ServiceProvider
{
    /**
     * Perform post-registration booting of services.
     *
     * @return void
     */
    public function boot()
    {
        // Only loading routes if the useAdminRoutes is true and the routes
        // aren't being cached. Also doing a catch for when the config file
        // hasn't been published yet.
        if (config('drpadmin.useAdminRoutes') &&
            !$this->app->routesAreCached() ||
            config('drpadmin') == false
        ) {
            require __DIR__ . '/Http/routes.php';
        }

        $this->loadViewsFrom(realpath(__DIR__.'/Views'), 'DrpAdmin');

        $sidebar = $this->app->make('Sidebar');
        $sidebar->addItem('fa-tachometer', 'Dashboard', route('admin.dashboard', [], false));
    }

    /**
     * Register any package services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind('ViewData', function () {
            return new ViewData();
        });

        $this->commands(['Drp\AdminPanel\Admin\Commands\SetupCommand']);
    }
}
