<?php

namespace Drp\AdminPanel\Auth\Http\Controllers;

use Drp\AdminPanel\Admin\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\ResetsPasswords;

class PasswordController extends Controller
{
    use ResetsPasswords;

    protected $redirectTo;

    /**
     * Constructor
     */
    public function __construct()
    {
        $this->redirectTo = route('admin.dashboard');
    }

    /**
     * Display the form to request a password reset link.
     *
     * @return \Illuminate\Http\Response
     */
    public function getEmail()
    {
        return view('DrpAuthAdmin::password');
    }

    /**
     * Display the password reset view for the given token.
     *
     * @param  string  $token
     * @return \Illuminate\Http\Response
     */
    public function getReset($token = null)
    {
        if (is_null($token)) {
            throw new NotFoundHttpException;
        }

        return view('DrpAuthAdmin::reset')->with('token', $token);
    }
}
